package de.fhhannover.inform.trust.ifmapcli.common;

import de.fhhannover.inform.trust.ifmapj.identifier.Identifier;
import de.fhhannover.inform.trust.ifmapj.identifier.Identifiers;
import de.fhhannover.inform.trust.ifmapj.identifier.IdentityType;


/**
 * Enum for all standard identifier types (except other). Furthermore,
 * only type=username is supported for identity identifiers.
 * 
 * Includes methods in order to avoid switch/case statements during
 * identifier creation.
 * 
 * @author ib
 * 
 */
public enum IdentifierEnum {
	ip {
		@Override
		public Identifier getIdentifier(String value) {
			return Identifiers.createIp4(value);
		}
	},
	mac {
		@Override
		public Identifier getIdentifier(String value) {
			return Identifiers.createMac(value);
		}
	},
	ar {
		@Override
		public Identifier getIdentifier(String value) {
			return Identifiers.createAr(value);
		}
	},
	dev {
		@Override
		public Identifier getIdentifier(String value) {
			return Identifiers.createDev(value);
		}
	},
	id {
		@Override
		public Identifier getIdentifier(String value) {
			return Identifiers.createIdentity(
					IdentityType.userName, value);
		}
	};

	public Identifier getIdentifier(String value) {
		return null;
	}
	
}
